Approve Usage Using POST

Approve Usage Using POST

Approve a monthly billing order, identified by the order id. After the billing order is approved, the billing order status changes from PENDING_AGGREGATOR to PENDING_VENDOR.

Pre-authorized roles: Operations

Request
URI
POST
https://{api_host}//vcp.vmware.com/api/aggregator/v1/billingOrders/{orderId}/approve
COPY
Path Parameters
string
orderId
Required

Billing order id

orderId example
f6bc69ec-xxxx-xxxx-xxxx-eeafc4a7e0bb

Request Body

Request to approve a monthly billing order

ApproveBillingOrderRequest of type(s) application/json
Required
{
    "serviceProviderPurchaseOrder": "PO-100000",
    "vmwarePurchaseOrder": "PO-100000",
    "billingOrderPreference": "string",
    "comment": "approved by [email protected]"
}
string
serviceProviderPurchaseOrder
Required

Purchase order from cloud services provider of the billing order

string
vmwarePurchaseOrder
Required

Purchase Order with VMware

string
billingOrderPreference
Required

billingOrderPreference

Possible values are : ONLINE, EDI,
string
comment
Optional

comment

Responses
200

Summary for different product families.

| Properties    | VELO | Rental & Others(MSP, SOV, ISV, etc) |
| ------------  | ---- | ----------------------------------- |
| minimumCommit |      |               *                     |
| reported      |      |               *                     |
| overage       |      |               *                     |
| underage      |      |               *                     |
| total         |      |               *                     |
| listPrice     |  *   |               *                     |
| sellingPrice  |  *   |               *                     |
| discount      |  *   |               *                     |
Returns SimpleBillingOrder of type(s) application/json
{
    "id": "f6bc69ec-xxxx-xxxx-xxxx-eeafc4a7e0bb",
    "contract": {
        "id": "630c2f68-xxxx-xxxx-xxxx-61f8245eaca1",
        "status": "ACTIVE",
        "contractReferenceNumber": "AMER1111RENTAL",
        "contractSKU": {
            "code": "VSPP3-1800-C",
            "contractType": "PAY-GO",
            "productFamily": {
                "name": "Rental Commercial",
                "code": "RENTAL",
                "type": "RENTAL"
            }
        },
        "currency": "USD"
    },
    "usagePeriod": "2022-06",
    "autoReportType": "AUTOMATED",
    "serviceProviderPurchaseOrder": "VMW202206",
    "vmwarePurchaseOrder": "PO-100000",
    "billingOrderPreference": "ONLINE",
    "status": "CLOSED",
    "orderNumber": 1111111,
    "summary": {
        "minimumCommit": 1800,
        "reported": "number",
        "overage": "number",
        "underage": 1800,
        "total": 1800,
        "listPrice": "number",
        "sellingPrice": "number",
        "discount": "number"
    },
    "closedTime": "2022-07-02T00:00:00Z"
}
string
id
Optional

id

contract
Optional

contract

string
usagePeriod
Optional

usagePeriod

string
autoReportType
Optional

autoReportType

Possible values are : AUTOMATED, NONE, FIXED,
string
serviceProviderPurchaseOrder
Optional

Purchase order from cloud services provider of the billing order

string
vmwarePurchaseOrder
Optional

Purchase order with VMware

string
billingOrderPreference
Optional

Billing order preference

Possible values are : EDI, ONLINE, NONE,
string
status
Optional

Current billing order status

Possible values are : NOT_OPEN, PENDING_SP, PENDING_AGGREGATOR, PENDING_APPROVAL, PENDING_VENDOR_REFUND, PENDING_VENDOR, CLOSED, REJECTED, CANCELLED,
string
orderNumber
Optional

orderNumber

summary
Optional

summary

string As date-time As date-time
closedTime
Optional

Valid when a monthly billing order is closed


400

Bad Request

Operation doesn't return any data structure

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Billing order not found

Operation doesn't return any data structure